CREATE TABLE ben_pl_typ_opt_typ_f (
    PL_TYP_OPT_TYP_ID        NUMBER(18, 0),
    EFFECTIVE_START_DATE     DATE         ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    EFFECTIVE_END_DATE       DATE         ,
    PL_TYP_OPT_TYP_CD        VARCHAR2(120)    NOT NULL,
    PL_TYP_ID                NUMBER(18, 0)    NOT NULL,
    OPT_ID                   NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LEGISLATION_CODE         VARCHAR2(120),
    LEGISLATION_SUBGROUP     VARCHAR2(120),
    PL_TYP_OPT_TYP_ID        NUMBER(18, 0),
    EFFECTIVE_START_DATE     DATE         ,
    BUSINESS_GROUP_ID        NUMBER(18, 0)    NOT NULL,
    EFFECTIVE_END_DATE       DATE         ,
    PL_TYP_OPT_TYP_CD        VARCHAR2(120)    NOT NULL,
    PL_TYP_ID                NUMBER(18, 0)    NOT NULL,
    OPT_ID                   NUMBER(18, 0)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    LEGISLATION_CODE         VARCHAR2(120),
    LEGISLATION_SUBGROUP     VARCHAR2(120),
    CONSTRAINT pk_ben_pl_typ_opt_typ_f PRIMARY KEY (PL_TYP_OPT_TYP_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, PL_TYP_OPT_TYP_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
